[General]

# Set input request timeout. Default is 120 seconds
# The request for inputs like passphrase will timeout
# after certain amount of time. Use this setting to
# increase the value in case of different user
# interface designs.
# InputRequestTimeout = 120

# Set browser launch timeout. Default is 300 seconds
# The request for launching a browser for portal pages
# will timeout after certain amount of time. Use this
# setting to increase the value in case of different
# user interface designs.
# BrowserLaunchTimeout = 300

# If wifi is disconnected, the background scanning will follow a simple
# backoff mechanism from 3s up to 5 minutes. Then, it will stay in 5
# minutes unless user specifically asks for scanning through a D-Bus
# call. If so, the mechanism will start again from 3s. This feature
# activates also the background scanning while being connected, which
# is required for roaming on wifi.
# When BackgroundScanning is false, ConnMan will not perform any scan
# regardless of wifi is connected or not, unless it is requested by
# the user through a D-Bus call.
# BackgroundScanning = true

# Assume that service gateways also function as timeservers.
# UseGatewaysAsTimeservers = false

# List of Fallback timeservers separated by ",".
# These timeservers are used for NTP sync when there are
# no timeservers set by the user or by the service, and
# when UseGatewaysAsTimeservers = false. These can contain
# mixed combination of fully qualified domain names, IPv4
# and IPv6 addresses.
# FallbackTimeservers =

# List of fallback nameservers separated by "," used if no
# nameservers are otherwise provided by the service. The
# nameserver entries must be in numeric format, host
# names are ignored.
# FallbackNameservers =

# List of technologies that are marked autoconnectable
# by default, separated by commas ",". The default value
# for this entry when empty is ethernet,wifi,cellular.
# Services that are automatically connected must have been
# set up and saved to storage beforehand.
# DefaultAutoConnectTechnologies =

# List of preferred technologies from the most preferred
# one to the least preferred one separated by commas ",".
# Services of the listed technology type will be tried one
# by one in the order given, until one of them gets connected
# or they are all tried. A service of a preferred technology
# type in state 'ready' will get the default route when
# compared to another preferred type further down the list
# with state 'ready' or with a non-preferred type; a service
# of a preferred technology type in state 'online' will get
# the default route when compared to either a non-preferred
# type or a preferred type further down in the list.
# PreferredTechnologies =

# List of blacklisted network interfaces separated by ",".
# Found interfaces will be compared to the list and will
# not be handled by ConnMan, if their first characters
# match any of the list entries. Default value is
# vmnet,vboxnet,virbr,ifb,ve-,vb-.
# NetworkInterfaceBlacklist = vmnet,vboxnet,virbr,ifb,ve-,vb-

# Allow ConnMan to change the system hostname. This can
# happen for example if we receive DHCP hostname option.
# Default value is true.
# AllowHostnameUpdates = true

# Allow ConnMan to change the system domainname. This can
# happen for example if we receive DHCP domainname option.
# Default value is true.
# AllowDomainnameUpdates = true

# Keep only a single connected technology at any time. When a new
# service is connected by the user or a better one is found according
# to PreferredTechnologies, the new service is kept connected and all
# the other previously connected services are disconnected. With this
# setting it does not matter whether the previously connected services
# are in 'online' or 'ready' states, the newly connected service is
# the only one that will be kept connected. A service connected by the
# user will be used until going out of network coverage. With this
# setting enabled applications will notice more network breaks than
# normal. Default value is false.
# SingleConnectedTechnology = false

# List of technologies for which tethering is allowed separated by ",".
# The default value is wifi,bluetooth,gadget. Only those technologies
# listed here are used for tethering. If ethernet tethering is desired,
# then ethernet should be added to the list. The technologies listed here
# have to support tethering, currently tethering is implemented for wifi,
# bluetooth, gadget and ethernet.
# NOTE that if ethernet tethering is enabled, then a DHCP server is
# started on all ethernet interfaces. Tethered ethernet should
# never be connected to corporate or home network as it will disrupt
# normal operation of these networks. Due to this ethernet is not
# tethered by default. Do not activate ethernet tethering unless you
# really know what you are doing.
# TetheringTechnologies = wifi,bluetooth,gadget

# Restore earlier tethering status when returning from offline mode,
# re-enabling a technology, and after restarts and reboots.
# Default value is false.
# PersistentTetheringMode = false

# Automatically enable Anycast 6to4 if possible. This is not recommended, as
# the use of 6to4 will generally lead to a severe degradation of connection
# quality. See RFC6343. Default value is false (as recommended by RFC6343
# section 4.1).
# Enable6to4 = false

# Enable use of http get as on online status check.
# When a service is in a READY state, and is selected as default,
# ConnMan will issue an HTTP GET request to verify that end-to-end
# connectivity is successful. Only then the service will be
# transitioned to ONLINE state.
# If this setting is false, the default service will remain in READY state.
# Default value is true.
# EnableOnlineCheck = false

# Urls (IPv4 and IPv6 respectively) used during the online status check.
# Please refer to the README for more detailed information.
# Default values are http://ipv4.connman.net/online/status.html and
# http://ipv6.connman.net/online/status.html respectively.
# OnlineCheckIPv4URL= http://ipv4.connman.net/online/status.html
# OnlineCheckIPv6URL= http://ipv6.connman.net/online/status.html

# Range of intervals between two online check requests.
# Please refer to the README for more detailed information.
# Default values are 1 and 12 respectively.
# OnlineCheckInitialInterval = 1
# OnlineCheckMaxInterval = 12

# WARNING: Experimental feature!!!
# In addition to EnableOnlineCheck setting, enable or disable use of HTTP GET
# to detect the loss of end-to-end connectivity.
# If this setting is false, when the default service transitions to ONLINE
# state, the HTTP GET request is no more called until next cycle, initiated
# by a transition of the default service to DISCONNECT state.
# If this setting is true, the HTTP GET request keeps beeing called to guarantee
# that end-to-end connectivity is still successful. If not, the default service
# will transition to READY state, enabling another service to become the
# default one, in replacement.
# EnableOnlineToReadyTransition = false

# List of technologies with AutoConnect = true which are always connected
# regardless of PreferredTechnologies setting. Default value is empty and
# will connect a technology only if it is at a higher preference than any
# other which is already connected.
# This setting has no effect if SingleConnectedTechnologies is enabled.
# AlwaysConnectedTechnologies =

# Enable auto connection of services in roaming.
# If this setting is false, roaming services are not auto-connected by ConnMan.
# Default value is false.
# AutoConnectRoamingServices = false

# Enable address conflict detection
# If this setting is true, ConnMan will send probe ARP packets to see
# if an IPv4 address is already in use before assigning the address
# to an interface (in accordance with RFC 5227).
# Default value is false.
# AddressConflictDetection = false
